#include <iostream>
#include "text.h"

using namespace std;

void
show_histogram_text(const vector<size_t>& bins, size_t& bin_count) {
    const size_t SCREEN_WIDTH = 80;
    const size_t MAX_ASTERISK = SCREEN_WIDTH - 3 - 1;
    size_t max_count = 0;
    for (size_t s = 0; s < bin_count; s++)
    {
        if (bins[s] > max_count)
        {
            max_count = bins[s];
        }
    }
    auto scale_factor = static_cast<double>(MAX_ASTERISK) / max_count;
    if (scale_factor > 1)
    {
        scale_factor = 1;
    }
    for (size_t bin : bins)
    {
        if (bin <100)
        {
            cout << " ";
        }
        if (bin <10)
        {
            cout << " ";
        }
        cout << bin << "|";
        size_t height = bin * scale_factor;
        for (size_t t = 0; t < height; t++)
        {
            cout << "*";
        }
        cout << endl;
    }
}
